﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Styx;
using Styx.Combat.CombatRoutine;
using Styx.Helpers;
using Styx.Logic;
using Styx.Logic.Combat;
using Styx.Logic.Pathing;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace GUI
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            WarlockSettings.Instance.Load();

            DS.Checked = WarlockSettings.Instance.DemonSoul;
            DG.Checked = WarlockSettings.Instance.DoomGuard;
            T1.Checked = WarlockSettings.Instance.Trinket1;
            T2.Checked = WarlockSettings.Instance.Trinket2;
            B.Checked = WarlockSettings.Instance.Berserking;
            BF.Checked = WarlockSettings.Instance.BloodFury;
            FA.Checked = WarlockSettings.Instance.FelArmor;
            DI.Checked = WarlockSettings.Instance.DarkIntent;
            SP.Checked = WarlockSettings.Instance.SummonPet;
            SH.Checked = WarlockSettings.Instance.SoulHarvest;
            AOE.Checked = WarlockSettings.Instance.AOE;

        }

        private void DS_CheckedChanged(object sender, EventArgs e)
        {
            if (DS.Checked == true)
            {
                WarlockSettings.Instance.DemonSoul = true;
            }
            else
            {
                WarlockSettings.Instance.DemonSoul = false;
            }
        }

        private void DG_CheckedChanged(object sender, EventArgs e)
        {
            if (DG.Checked == true)
            {
                WarlockSettings.Instance.DoomGuard = true;
            }
            else
            {
                WarlockSettings.Instance.DoomGuard = false;
            }
        }
        private void T1_CheckedChanged(object sender, EventArgs e)
        {
            if (T1.Checked == true)
            {
                WarlockSettings.Instance.Trinket1 = true;
            }
            else
            {
                WarlockSettings.Instance.Trinket1 = false;
            }
        }
        private void T2_CheckedChanged(object sender, EventArgs e)
        {
            if (T2.Checked == true)
            {
                WarlockSettings.Instance.Trinket2 = true;
            }
            else
            {
                WarlockSettings.Instance.Trinket2 = false;
            }
        }
        private void B_CheckedChanged(object sender, EventArgs e)
        {
            if (B.Checked == true)
            {
                WarlockSettings.Instance.Berserking = true;
            }
            else
            {
                WarlockSettings.Instance.Berserking = false;
            }
        }
        private void BF_CheckedChanged(object sender, EventArgs e)
        {
            if (BF.Checked == true)
            {
                WarlockSettings.Instance.BloodFury = true;
            }
            else
            {
                WarlockSettings.Instance.BloodFury = false;
            }
        }
        private void FA_CheckedChanged(object sender, EventArgs e)
        {
            if (FA.Checked == true)
            {
                WarlockSettings.Instance.FelArmor = true;
            }
            else
            {
                WarlockSettings.Instance.FelArmor = false;
            }
        }
        private void DI_CheckedChanged(object sender, EventArgs e)
        {
            if (DI.Checked == true)
            {
                WarlockSettings.Instance.DarkIntent = true;
            }
            else
            {
                WarlockSettings.Instance.DarkIntent = false;
            }
        }
        private void SP_CheckedChanged(object sender, EventArgs e)
        {
            if (SP.Checked == true)
            {
                WarlockSettings.Instance.SummonPet = true;
            }
            else
            {
                WarlockSettings.Instance.SummonPet = false;
            }
        }
        private void SH_CheckedChanged(object sender, EventArgs e)
        {
            if (SH.Checked == true)
            {
                WarlockSettings.Instance.SoulHarvest = true;
            }
            else
            {
                WarlockSettings.Instance.SoulHarvest = false;
            }
        }
        private void AOE_CheckedChanged(object sender, EventArgs e)
        {
            if (AOE.Checked == true)
            {
                WarlockSettings.Instance.AOE = true;
            }
            else
            {
                WarlockSettings.Instance.AOE = false;
            }
        }
        private void SaveButton_Click(object sender, EventArgs e)
        {
            WarlockSettings.Instance.Save();
            Logging.Write("Configuration Saved");
            Close();
        }
        private void Rep_Load(object sender, System.EventArgs e)
        {
            linkLabel1.Links.Add(6, 4, "www.thebuddyforum.com/reputation.php?do=addreputation&p=451406");
        }
        private void Rep_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(e.Link.LinkData.ToString());
        }
    }
}

