﻿using System.IO;
using Styx;
using Styx.Helpers;

namespace GUI
{
    public class WarlockSettings : Settings
    {
        public static readonly WarlockSettings Instance = new WarlockSettings();

        public WarlockSettings()
            : base(Path.Combine(Logging.ApplicationPath, string.Format(@"CustomClasses/Config/AgonizingSoul-Settings-{0}.xml", StyxWoW.Me.Name)))
        {
        }

        [Setting, DefaultValue(false)]
        public bool DemonSoul { get; set; }

        [Setting, DefaultValue(false)]
        public bool DoomGuard { get; set; }

        [Setting, DefaultValue(false)]
        public bool Trinket1 { get; set; }

        [Setting, DefaultValue(false)]
        public bool Trinket2 { get; set; }

        [Setting, DefaultValue(false)]
        public bool Berserking { get; set; }

        [Setting, DefaultValue(false)]
        public bool BloodFury { get; set; }

        [Setting, DefaultValue(false)]
        public bool FelArmor { get; set; }

        [Setting, DefaultValue(false)]
        public bool DarkIntent { get; set; }

        [Setting, DefaultValue(false)]
        public bool SummonPet { get; set; }

        [Setting, DefaultValue(false)]
        public bool SoulHarvest { get; set; }

        [Setting, DefaultValue(false)]
        public bool AOE { get; set; }


    }
}